### Function

# FwupdPlugin dump_full

since: 1.8.2

#### Declaration [src]

    void
    fu_dump_full (
      const gchar* log_domain,
      const gchar* title,
      const guint8* data,
      gsize len,
      guint columns,
      FuDumpFlags flags
    )

#### Description [src]

Dumps a raw buffer to the screen.

Available since: 1.8.2

#### Parameters

`log_domain`

  Type: `const gchar*`

  Optional log domain, typically `G_LOG_DOMAIN`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  Optional prefix title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `const guint8*`

  Buffer to print.

  The data is owned by the caller of the function.

`len`

  Type: `gsize`

  The size of `data`.

`columns`

  Type: `guint`

  Break new lines after this many bytes.

`flags`

  Type: `FuDumpFlags`

  Dump flags, e.g. `FU_DUMP_FLAG_SHOW_ASCII`.